﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="TestExcelIO_WebForm.WebForm1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <!--SpreadJS Widgets JavaScript-->
    <link href="css/gcspread.sheets.excel2013white.9.40.20153.0.css" rel="stylesheet" type="text/css" />
    <script src="scripts/gcspread.sheets.all.9.40.20153.0.min.js" type="text/javascript"></script>
    <script>
        function onLoad() {
            var spread = new GcSpread.Sheets.Spread(document.getElementById("ss"));
            var hiddenFile = document.getElementById("HiddenField1");
            if (hiddenFile && hiddenFile.value !== "") {
                spread.fromJSON(JSON.parse(hiddenFile.value));
            }
        }

        function exportExcel() {
            var spread = GcSpread.Sheets.findControl(document.getElementById("ss"));
            var hiddenFile2 = document.getElementById("HiddenField2");
            hiddenFile2.value = JSON.stringify(spread.toJSON());
        }
    </script>
</head>
<body onload="onLoad()">
    <form id="form1" runat="server">
        <asp:FileUpload ID="FileUpload1" runat="server" Height="24px" Width="223px" />
        <asp:Button ID="ImportBtn" runat="server" Text="Import Excel" OnClick="ImportBtn_Click" />
        <asp:Button ID="ExportBtn" runat="server" Text="Export Excel" OnClick="ExportBtn_Click" OnClientClick="exportExcel()"/>
        <div id="ss" style="width:100%;height:500px">
            
        </div>
        <asp:HiddenField ID="HiddenField1" runat="server" />
        <asp:HiddenField ID="HiddenField2" runat="server" />
    </form>
</body>
</html>
