﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using GrapeCity.Spread.Sheets.ExcelIO;
using GrapeCity.Windows.SpreadSheet.Data;
using System.IO;

namespace TestExcelIO_WebForm
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void ImportBtn_Click(object sender, EventArgs e)
        {
            if (this.FileUpload1.HasFile)
            {
                Importer excelImporter = new Importer();
                this.HiddenField1.Value = excelImporter.ImportExcel(this.FileUpload1.FileContent);
            }
        }

        protected void ExportBtn_Click(object sender, EventArgs e)
        {
            if (!string.IsNullOrEmpty(this.HiddenField2.Value))
            {
                Exporter excelExporter = new Exporter(this.HiddenField2.Value);
                excelExporter.SaveExcel(Response.OutputStream);
                Response.AddHeader("content-disposition", "attachment; filename= test.xlsx");
                Response.End();
            }
        }
    }
}